Bug 217208 - www/webkit-qt5: fails to build on armv6 and armv7
Summary: www/webkit-qt5: fails to build on armv6 and armv7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: kde
URL:
Keywords:
Depends on: 216735
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-18 17:46 UTC by mikael.urankar
Modified: 2017-05-07 19:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
patch (2.30 KB, patch)
2017-02-18 17:46 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikael.urankar 2017-02-18 17:46:15 UTC
Created attachment 180118 [details]
patch

error on armv6:

/wrkdirs/usr/ports/www/webkit-qt5/work/qtwebkit-opensource-src-5.6.2/Source/WTF/wtf/Platform.h:323:6: error: "Not supported ARM architecture"
#    error "Not supported ARM architecture"

I don't have the exact error message for armv7, vmov.u32 is a gcc-ism and clang doesn't like it.
Comment 1 mikael.urankar 2017-04-27 07:26:17 UTC
ping
Comment 2 commit-hook freebsd_committer 2017-05-07 19:30:32 UTC
A commit references this bug:

Author: jbeich
Date: Sun May  7 19:29:46 UTC 2017
New revision: 440357
URL: https://svnweb.freebsd.org/changeset/ports/440357

Log:
  www/qt*-webkit: unbreak on armv6

  In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:26:
  In file included from ./Source/JavaScriptCore/config.h:30:
  ./Source/WTF/wtf/Platform.h:308:6: error: "Not supported ARM architecture"
  #    error "Not supported ARM architecture"
       ^
  <inline asm>:149:16: error: invalid operand for instruction
  vmov.u32 r2, r3, s8, s9

  PR:		216153 217208
  Submitted by:	mikael.urankar@gmail.com

Changes:
  head/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_JavaScriptCore_jit_ExecutableAllocator.h
  head/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_JavaScriptCore_wtf_Platform.h
  head/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_WebCore_platform_graphics_filters_arm_FEGaussianBlurNEON.cpp
  head/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_WebCore_platform_graphics_filters_arm_FELightingNEON.cpp
  head/www/qt5-webkit/files/patch-Source_WTF_wtf_Platform.h
  head/www/qt5-webkit/files/patch-Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.cpp
Comment 3 commit-hook freebsd_committer 2017-05-07 19:34:38 UTC
A commit references this bug:

Author: jbeich
Date: Sun May  7 19:33:40 UTC 2017
New revision: 440359
URL: https://svnweb.freebsd.org/changeset/ports/440359

Log:
  MFH: r440357

  www/qt*-webkit: unbreak on armv6

  In file included from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:26:
  In file included from ./Source/JavaScriptCore/config.h:30:
  ./Source/WTF/wtf/Platform.h:308:6: error: "Not supported ARM architecture"
  #    error "Not supported ARM architecture"
       ^
  <inline asm>:149:16: error: invalid operand for instruction
  vmov.u32 r2, r3, s8, s9

  PR:		216153 217208
  Submitted by:	mikael.urankar@gmail.com
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q2/
  branches/2017Q2/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_JavaScriptCore_jit_ExecutableAllocator.h
  branches/2017Q2/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_JavaScriptCore_wtf_Platform.h
  branches/2017Q2/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_WebCore_platform_graphics_filters_arm_FEGaussianBlurNEON.cpp
  branches/2017Q2/www/qt4-webkit/files/patch-src_3rdparty_webkit_Source_WebCore_platform_graphics_filters_arm_FELightingNEON.cpp
  branches/2017Q2/www/qt5-webkit/files/patch-Source_WTF_wtf_Platform.h
  branches/2017Q2/www/qt5-webkit/files/patch-Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.cpp